RichValues is a Python 3 library for working with numeric values with uncertainties, upper/lower limits and finite intervals, which may be called _rich values_.

With it, one can import rich values written in plain text documents in an easily readable format, operate with them propagating the uncertainties automatically, and export them in the same formatting style as the import. It allows to easily plot rich values and to make fits to any function, taking into account the uncertainties and the upper/limits or finite intervals. Correlation between variables are taken into account when performing calculations with rich values. Rich values of integer nature and rich values containing complex numbers are also supported. Lastly, rich values can be defined using a probability density function (PDF) instead of giving a main value with uncertainties or an upper/lower limit.

The libraries NumPy, Pandas, SciPy and Matplotlib are required. A user guide and a quick tutorial is available on the GitHub repository: https://github.com/andresmegias/richvalues/.
